org.apache.fontbox.ttf

## Class WGL4Names

- java.lang.Object
- - org.apache.fontbox.ttf.WGL4Names

    public final class WGL4Names
    extends Object

Windows Glyph List 4 (WGL4) names for Mac glyphs.

### Field Summary

Fields
`static int` `NUMBER_OF_MAC_GLYPHS` The number of standard mac glyph names.

### Method Summary

All Methods Static Methods Concrete Methods
`static String[]` `getAllNames()` Returns a new array with all glyph names.
`static Integer` `getGlyphIndex(String name)` Returns the index of the glyph with the given name.
`static String` `getGlyphName(int index)` Returns the name of the glyph at the given index.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NUMBER_OF_MAC_GLYPHS

    public static final int NUMBER_OF_MAC_GLYPHS

The number of standard mac glyph names.

See Also:
  Constant Field Values

### Method Detail

#### getGlyphIndex

    public static Integer getGlyphIndex(String name)

Returns the index of the glyph with the given name.

Parameters:
  `name` - the name of the glyph
Returns:
  the index of the given glyph name or null for an invalid glyph name

#### getGlyphName

    public static String getGlyphName(int index)

Returns the name of the glyph at the given index.

Parameters:
  `index` - the index of the glyph
Returns:
  the name of the glyph at the given index or null fo an invalid glyph index

#### getAllNames

    public static String[] getAllNames()

Returns a new array with all glyph names.

Returns:
  the array with all glyph names